@echo off

REM Remplacer les guillemets («» au lieu de "").

call sed -i -E 's/"([^"]+)"/\xC2\xAB \1 \xC2\xBB/g' %1

REM Remplacer les espaces par des espaces insécables avant certains points.

call sed -i -E 's/ ([;:!?])/\xE2\x80\xAF\1/g' %1

REM Remplacer les espaces par des espaces insécables après et avant les guillemets.

call sed -i -E 's/\xC2\xAB /\xC2\xAB\xE2\x80\xAF/g' %1
call sed -i -E 's/ \xC2\xBB/\xE2\x80\xAF\xC2\xBB/g' %1

exit /b

echo '"bla"' | sed -E 's/"([^"]+)"/« \1 »/g'
